Ch1a  Graphics and Statistics for a Continuous Variable  

Due   Plots from section 3,4.1,4.2, 4.3, 7 below
      
      Copy and paste the plots into your assignment.
      You may reduce the size of plots.  
      You do not need to print in color.      
      Label this section of the homework Chaper 1 Part A  

1. Open libraries
  
## Run
library(Devore7)
library(lattice)
## End

2. Look at the data values 

Some times we look at subsets if there are too many values
 
## Run   
oRingTemp = xmp01.01$temp # extract the vector temp
oRingTemp
## End

It appears the values are stored as integers

3. Dotplots

## Run
windows(width=6,height=1.5)
dotplot(oRingTemp,xlab="O-Ring Temperature: Degrees Fahrenheit")
## End

Encoding variable values as position along a scale provides the 
the most accurately decoded visual representation, provided
that the dots don't overplot. 

The plot shows there were few launches at temperatures below 50 degrees.

The windows function above opens a new graphics window and make
it the active window. It has width and height argument with value
expressed in inches.  (I some cases R does control the width very well.)
For dot plots I want the x-axis close to the dots so I set the
window height to 1.5 inches. 


3.1 Tabling the data to check on overplotting

## Run
table(oRingTemp)
## End

There are overplotting problems!  For example the value 70 appears 4 times.

3.2  Jittering the data as on approach to the overplotting problem   

Rather than implicitly plotting all of the temperature data with a y coordinate of 0,
we can plot noise (from a uniform distribution) centered about zero as the y coordinate.
This is not a perfect solution but usually reduced to reduce the
overplotting.  

## Run
windows(width=6,height=2)
set.seed(21)   # This controls the starting point of random number generation
stripplot(oRingTemp,xlab="O-Ring Temperature: Degrees Fahrenheit",
          jitter.data=TRUE,amount=.5)
##End 

4. Plotting histograms is another approach to the overplotting problem.

## Run 
oRingTempMinMax = range(oRingTemp) # a vector containing
                                   # the minimum and maximum values 
lowerBound = oRingTempMinMax[1]-.5
upperBound = oRingTempMinMax[2]+.5
breaks = seq(lowerBound,upperBound,by=1)

windows(width=5,height=5)
histogram(oRingTemp,breaks=breaks,
     xlab="O-Ring Temperature: Degrees Fahrenheit",type="count")

## End

4.1 Showing percent of total counts instead of counts in the intervals 

## Run
windows(width=5,height=5)
histogram(oRingTemp,breaks=breaks,
     xlab="O-Ring Temperature: Degrees Fahrenheit",type="percent")

length(oRingTemp)   # The vector length tells the number of 36 observations
4/length(oRingTemp) # each interval with 4 counts containes 4/36 = .1111
                    # of the total counts
100*4/36            # Multiplying by 100 converts the fraction to percent
100*table(oRingTemp)/length(oRingTemp) # All of the non-zero percents
## End

4.2  Continuous variables and the data density histogram

With discrete variables such as integer data or categorical data
showing counts or percents as the height of lines above variable
values helps to commmunicate that there is no data in the gaps
between variable values.  Showing colored rectangles has more visual
impact, but it is at least preferrable that the rectangles don't touch. 

In the particular instance we know that temperature can be measured much
more precisely than as integer values. The data we are using has likely
has been rounded to integer values.  Thus using touching rectangles
communicates the domain of possible values that the integer values recorded. 
The use of the histogram bars with widths of 1 degree as constructed
above is consistent with thinking in the context of a continuous data. 
None of the four temperatures reported as 70 degrees was exactly 70. 
One may have been close to 70.4. One may have been close to 69.9993,
and so on.    

The histogram in in 4.1 can be consider a primitive piece-wise
flat approximation to a data density curve except for one detail.
By definition, the area under a data density curve is always equal to 1.

The area of the each rectangle is height times the width as expressed in
the x and y axis units. If we total the area of the rectangles and divide
the y coordinates by this amount then the area under the curve will be 1.  
The corresponding plot is a "density" histogram. Only y-axis units change. 
The plot shape looks the same where the y-axis is expressed
as counts, percents, or density.  

Changing the "type" argument to density in the histogram 
yield a "density" histogram.

  
## Run
windows(width=5,height=5)
histogram(oRingTemp,breaks=breaks,
     xlab="O-Ring Temperature: Degrees Fahrenheit",type="density")
## End


This is a trivial case because the rectangles were 1 unit wide.  
The sum of rectangle counts is the same numerical value as total area. 
In this special case the y scale for the density histogram and the
percent histogram differ by a factor of 100, the percent
conversion factor.
 
5. The data density plot.

The use histograms for visualizing continuous data is likely to decline.
Some contemporary authors such as W.S.Cleveland prefer to avoid the
histogram construction artifacts of chosing x-axis boundaries for
the rectangles. He and many others, including your instructor,
prefer to using smooth density estimates such as kernel density estimates.  


## Run
windows()
densityplot(oRingTemp,xlab="O-Ring Temperature: Degrees Fahrenheit")
## End

Note that this density plots includes a y-axis jitted dot plot.

In this class we will be interest the shapes of data and distribution
densities.  Four example appear Page 19 Figure 1.11.  
There will be more.  

This O-ring data density example has one peak or mode
(local maximum density).  The density is called unimodal.

Also, this density is not symmetric.  It is stretched out
on the left. In terms of data values spaces between values
on the left side of the plot are bigger than the spaces
between values on the right. 

In this class you can describe such data densities as being
skewed left, 
skewed toward small values or,
negatively skewed. See Figuure 1.11(d).  

The text does not explain using the term negative.  
This comes from computing the 3rd moment about the mean.  
When we discuss computing the 2nd moment about the mean
in this chapter you may correctly guess how to compute
the third moment.         

6. Stem and leaf plots

stem(oRingTemp)

A stem and leaf plot is like making a horizontal histogram
and listing the last digit(s) of interst to show the shape
of the counts.  In the example above the stem the left
of the vertical is in units of 10s and the leaves to the
right of the vertical bar is units of one.  
The value in first row is 31.  

Some example motivate showing more detail.
The digit on the right are easily broken into two groups 0-4 and 5-9
or into 5 groups 0-1,2-3,4-5,6-7,8-9 and the base repeated.
For examplle

3 | 1
3 |
4 | 0
4 | 59
5 | 23
5 | 78 
  
...

This can help convey that 31 one is an outlier.  

The stem and leaf plot can help convey information
at several aspect of the data:  

Identification of typical values
The extend of spread about typical values
The presence of gaps in the data
The extem of symmetry in the distribution of values
The number and location of peaks
The presence outliers

Stem and leaf are really hand when data sets are small and
when working with paper and pencil.  The can be used
in introductory classes and motivate histograms.
However, they are not longer used that much in practice
and are not stress in this class.

7. boxplots

Boxplots or box and whiskers plots provide a summary of distribution
showing the median values, quartiles, adjacent values and outliers
if present.  

In contrast to stem and leafs, boxplots can summarize a variable
with millions of values. I use boxplots and have create so graphical
variants    

## Run
windows(width=6,height=3)
bwplot(oRingTemp,xlab="O-Ring Temperature: Degrees Fahrenheit",
       main= "Boxplot")
## End

8.  Some common statistics

## Run
mean(oRingTemp)
mean(oRingTemp,trim=.1) # Fraction of observations to trim on each side
median(oRingTemp)
summary(oRingTemp)
var(oRingTemp)   # variance
sd(oRingTemp)    # standard deviation
## End

